Skip to main content
GET
/
v3
/
search
/
suggestions
Get Suggestions
curl --request GET \
  --url 'https://api.example.com/v3/search/suggestions?api_key='
{
  "suggestions_request_id": "<string>",
  "suggestions": [
    {
      "suggestions_result_id": "<string>",
      "query": "<string>",
      "type": "query"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.depict.ai/llms.txt

Use this file to discover all available pages before exploring further.

This page does not apply to installs made in 2025 or later of the Depict Shopify apps

Authorizations

api_key
string
query
required

Query Parameters

merchant
string
required
market
string
required
locale
string
required
query
string | null
session_id
string | null
Minimum string length: 1

Response

Successful Response

suggestions_request_id
string
required
suggestions
(QuerySuggestion · object | ListingSuggestion · object)[]
required

List of suggestions for search queries and product listings that should be shown to the user while they are typing.